Go to the first, previous, next, last section, table of contents.

### `timer`

`timer(interval,expr,val)`
  :: Compute an expression under the interval timer.

return
  result
interval
  interval (second)
expr
  expression to be computed
val
  a value to be returned when the timer is expired

- `timer()` computes an expression under the interval timer. If the computation finishes within the specified interval, it returns the result of the computation. Otherwise it returns the third argument.
- The third argument should be distinguishable from the result on success.

    [0] load("cyclic");
    1
    [10] timer(10,dp_gr_main(cyclic(7),[c0,c1,c2,c3,c4,c5,c6],1,1,0),0);
    interval timer expired (VTALRM)
    0
    [11]

Go to the first, previous, next, last section, table of contents.